commit:     174a68f95c2127998f99d3ce304028de6aae34d3
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  7 20:59:36 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Mar  7 21:02:21 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=174a68f9

sci-astronomy/scamp: initial import

Package-Manager: portage-2.2.27

 sci-astronomy/scamp/Manifest           |  1 +
 sci-astronomy/scamp/metadata.xml       | 16 +++++++++++
 sci-astronomy/scamp/scamp-2.0.4.ebuild | 52 ++++++++++++++++++++++++++++++++++
 3 files changed, 69 insertions(+)

diff --git a/sci-astronomy/scamp/Manifest b/sci-astronomy/scamp/Manifest
new file mode 100644
index 0000000..c090ef8
--- /dev/null
+++ b/sci-astronomy/scamp/Manifest
@@ -0,0 +1 @@
+DIST scamp-2.0.4.tar.gz 4876618 SHA256 
cbcd57f5042feefa081dc0c5ff07f7f50114a7ef41e79c060ed163caae119d41 SHA512 
ed0a824ddcc3f9c791121323bb59969e89f509a2c429c0abb45655e6852bc452bd46c539dbebfd23097af1c7dbef9d3d905030083828974f75233ea4af4484d5
 WHIRLPOOL 
bc87946ebacd2d723693898aac5a4702eecc138093cab987f76dfc8fb91c963bfaf13d25bd9042ee1fa23002816c4dde1d439da92839236f170adc119afee7d5

diff --git a/sci-astronomy/scamp/metadata.xml b/sci-astronomy/scamp/metadata.xml
new file mode 100644
index 0000000..d337960
--- /dev/null
+++ b/sci-astronomy/scamp/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="project">
+  <email>[email protected]</email>
+  <name>Gentoo Astronomy Project</name>
+</maintainer>
+<longdescription lang="en">
+  SCAMP computes astrometric and photometric solutions from SExtractor catalogs
+  and stores them in header files. These headers files can be read by SWarp to
+  coadd images.
+</longdescription>
+<use>
+  <flag name="plplot">Build with <pkg>sci-libs/plplot</pkg> to allow 
diagnostic plots during processing</flag>
+</use>
+</pkgmetadata>

diff --git a/sci-astronomy/scamp/scamp-2.0.4.ebuild 
b/sci-astronomy/scamp/scamp-2.0.4.ebuild
new file mode 100644
index 0000000..0d601c0
--- /dev/null
+++ b/sci-astronomy/scamp/scamp-2.0.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Astrometric and photometric solutions for astronomical images"
+HOMEPAGE="http://www.astromatic.net/software/scamp";
+SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz";
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="doc plplot threads"
+
+RDEPEND="
+       sci-astronomy/cdsclient
+       sci-libs/atlas[lapack,threads=]
+       sci-libs/fftw:3.0
+       plplot? ( sci-libs/plplot:= )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       local mycblas=atlcblas myclapack=atlclapack
+       if use threads; then
+               [[ -e "${EPREFIX}"/usr/$(get_libdir)/libptcblas.so ]] && \
+                       mycblas=ptcblas
+               [[ -e "${EPREFIX}"/usr/$(get_libdir)/libptclapack.so ]] && \
+                       myclapack=ptclapack
+       fi
+       sed -e "s/-lcblas/-l${mycblas}/g" \
+               -e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
+               -e "s|lapack_lib=\"lapack\"|lapack_lib=${myclapack}|" \
+               -i acx_atlas.m4 || die
+       sed -e 's|plplotd|plplot|g' -i acx_plplot.m4 || die
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --with-atlas-incdir="${EPREFIX}/usr/include/atlas" \
+               $(use_enable plplot) \
+               $(use_enable threads)
+}
+
+src_install () {
+       default
+       use doc && dodoc doc/*
+}

Reply via email to